module PersonalProject
  class Engine < ::Rails::Engine
   initializer "personal_project" do
		OrbitApp.registration "PersonalProject",:type=> 'ModuleApp' do
			module_label 'module_name.projects'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Project", :intro_app_name=>"ProjectIntro",:path=>"/plugin/personal_project/profile",:front_path=>"/profile",:admin_path=>"/admin/projects/",:i18n=>'module_name.projects', :module_app_name=>'Project', :one_line_title => false, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/projects/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
